Tên miền tùy chỉnh
GET https://analytics.ipcidr.com/api/domains/available
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn Chuỗi | Chuỗi tìm kiếm. |
| search_by | Tùy chọn Chuỗi | Tìm theo trường. Cho phép: host. |
| datetime_field | Tùy chọn Chuỗi | Giá trị cho phép: datetime, last_datetime |
| datetime_start | Tùy chọn Chuỗi | Lọc từ. Định dạng Y-m-d H:i:s. |
| datetime_end | Tùy chọn Chuỗi | Lọc đến. Định dạng Y-m-d H:i:s. |
| order_by | Tùy chọn Chuỗi | Sắp xếp theo trường. Cho phép: domain_id, datetime, last_datetime, host. |
| order_type | Tùy chọn Chuỗi | Thứ tự. ASC tăng dần, DESC giảm dần. |
| page | Tùy chọn Số nguyên | Số trang. Mặc định 1. |
| results_per_page | Tùy chọn Số nguyên | Kết quả mỗi trang. Cho phép: 10, 25, 50, 100, 250, 500, 1000. Mặc định 25. |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-04 01:57:42",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/domains/available?page=1",
"last": "https://analytics.ipcidr.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/domains/available?page=1"
}
}
GET https://analytics.ipcidr.com/api/domains/
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn Chuỗi | Chuỗi tìm kiếm. |
| search_by | Tùy chọn Chuỗi | Tìm theo trường. Cho phép: host. |
| is_enabled | Tùy chọn Boolean | |
| datetime_field | Tùy chọn Chuỗi | Giá trị cho phép: datetime, last_datetime |
| datetime_start | Tùy chọn Chuỗi | Lọc từ. Định dạng Y-m-d H:i:s. |
| datetime_end | Tùy chọn Chuỗi | Lọc đến. Định dạng Y-m-d H:i:s. |
| order_by | Tùy chọn Chuỗi | Sắp xếp theo trường. Cho phép: domain_id, datetime, last_datetime, host. |
| order_type | Tùy chọn Chuỗi | Thứ tự. ASC tăng dần, DESC giảm dần. |
| page | Tùy chọn Số nguyên | Số trang. Mặc định 1. |
| results_per_page | Tùy chọn Số nguyên | Kết quả mỗi trang. Cho phép: 10, 25, 50, 100, 250, 500, 1000. Mặc định 25. |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-06-04 01:57:42"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/domains?page=1",
"last": "https://analytics.ipcidr.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/domains?page=1"
}
}
GET https://analytics.ipcidr.com/api/domains/{domain_id}
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-06-04 01:57:42"
}
}
POST https://analytics.ipcidr.com/api/domains
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| host | Bắt buộc Chuỗi | - |
| custom_index_url | Tùy chọn Chuỗi | - |
| custom_not_found_url | Tùy chọn Chuỗi | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://analytics.ipcidr.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://analytics.ipcidr.com/api/domains/{domain_id}
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| host | Tùy chọn Chuỗi | - |
| custom_index_url | Tùy chọn Chuỗi | - |
| custom_not_found_url | Tùy chọn Chuỗi | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ipcidr.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \